<?php
/*
Plugin Name: WPMuLoginMC
Plugin URI: [insert the plugin uri here]
Description: Widget plugin for login in your blog. Widget plugin para loguearte en tu blog.
Author: Samuel Chong
Version: 0.1
Author URI: http://cristolive.com
Generated At: www.wp-fun.co.uk;
*/ 

/*  Copyright 2007  Samuel Chong  (email : SamuelChong@CristoLive.com)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

if (!class_exists('WPMuLoginMCclass')) {
    class WPMuLoginMCclass	{

		
		/**
		* PHP 4 Compatible Constructor
		*/
		function WPMuLoginMCclass(){$this->__construct();}
		
		/**
		* PHP 5 Constructor
		*/		
		function __construct(){


		add_action('wp_head', array(&$this,'wp_head_intercept'));
		add_action("plugins_loaded",array(&$this,"register_widget_wpmuloginmc_WPMuLoginMC"));


		}
		

		
		
		/**
		* Called by the action wp_head
		*/
		function wp_head_intercept(){
			//this is a sample function that includes additional styles within the head of your template.
			echo '<?php ';
			setcookie(TEST_COOKIE, 'WP Cookie check', 0, COOKIEPATH, COOKIE_DOMAIN);
			if ( SITECOOKIEPATH != COOKIEPATH )
			setcookie(TEST_COOKIE, 'WP Cookie check', 0, SITECOOKIEPATH, COOKIE_DOMAIN);
			echo ' ?>';
		}
		
		
		
		/**
		* Registers the widget for use
		*/
		function register_widget_wpmuloginmc_WPMuLoginMC($args) {
			register_sidebar_widget("WPMuLoginMC",array(&$this,"widget_wpmuloginmc_WPMuLoginMC"));
		}
		
		
		/**
		* Contains the widget logic
		*/
		function widget_wpmuloginmc_WPMuLoginMC($args) {
			extract($args);
			?>
			<?php echo $before_widget; ?>
			<?php echo $before_title . "Usuarios:" . $after_title; ?>

			<?php
			global $user_ID, $user_identity;
			get_currentuserinfo();
			if (!$user_ID):
			?>
			
			<div align="left">
			<form name="loginform" id="loginform" action="<?php echo get_settings('siteurl'); ?>/wp-login.php" method="post">
			<left>
			<label for="log">Usuario:<br/>
			</left>
			<center>
			<input type="text" name="log" id="log" value="" size="20" tabindex="1" class="caja" /></label><br/>
			</center>
			<left>
			<label for="pwd">Contrase&ntilde;a:<br/>
			</left>
			<center>
			<input type="password" name="pwd" id="pwd" value="" size="20" tabindex="2" class="caja" /></label><br/>
			</center>	
			<input name="rememberme" type="checkbox" id="rememberme" value="forever" tabindex="90" /> Recordarte? <br/>
			<center>
			<input type="submit" name="submit" value="Entrar &raquo;" tabindex="3" class="boton" />
			<input type="hidden" name="redirect_to" value="<?php echo $_SERVER['REQUEST_URI']; ?>"/>
			</center>
			<left>
			<?php 
				if ( ! is_user_logged_in() ) {
					if ( get_option('users_can_register') )
						$link = $before . '<a href="' . get_option('siteurl') . '/wp-login.php?action=register">' . __('Registrate') . '</a>' . $after;
					else
						$link = '';
				} 
				echo apply_filters('register', $link); ?>
			
			<br><a href="<?php echo get_settings('siteurl'); ?>/wp-login.php?action=lostpassword"> Perdiste tu Pass? </a>	
			</left>
			</form>

			
			</div>

			<?php else: ?>

			Bienvenido:<br>
			<?php echo $user_identity; ?>
			<center>
			<a href="<?php bloginfo('wpurl'); ?>/wp-admin/index.php">Panel de Control</a> | <a href="<?php echo get_settings('siteurl') . '/wp-login.php?action=logout&amp;redirect_to=' . $_SERVER['REQUEST_URI']; ?>" style="color:red; font-weight: bold;">Salir</a>
			</center>

			<?php endif; ?>



			<?php echo $after_widget; ?>
			<?php
		}
		

    }
}

//instantiate the class
if (class_exists('WPMuLoginMCclass')) {
	$WPMuLoginMCclass = new WPMuLoginMCclass();
}




?>